|  | pcre2matcher.h File Reference updated Sun May 12 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
pcre2matcher.h File Reference

PCRE2-JIT-based matcher engines for pattern matching. More...

`#include <reflex/absmatcher.h>`
`#include <pcre2.h>`
Include dependency graph for pcre2matcher.h:

## Classes
class | reflex::PCRE2Matcher
| PCRE2 JIT-optimized matcher engine class implements reflex::PatternMatcher pattern matching interface with scan, find, split functors and iterators, using the PCRE2 library. More...
class | reflex::PCRE2UTFMatcher
| PCRE2 JIT-optimized native PCRE2_UTF+PCRE2_UCP matcher engine class, extends PCRE2Matcher. More...

## Namespaces
| reflex

## Macros
#define | PCRE2_CODE_UNIT_WIDTH 8

## Detailed Description

PCRE2-JIT-based matcher engines for pattern matching.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt

## Macro Definition Documentation

#define PCRE2_CODE_UNIT_WIDTH 8